Package com.sun.ts.lib.util

# Class AssertionMapper.HelpHandler

java.lang.Object
org.xml.sax.HandlerBase
com.sun.ts.lib.util.AssertionMapper.HelpHandler

All Implemented Interfaces:
  `DocumentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Enclosing class:
  AssertionMapper

public static class AssertionMapper.HelpHandler extends HandlerBase
sax2 event handler is too slow. So stick to HandlerBase.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HelpHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `endElement(String localName)`
  `void`
  `load(String xmlFileName, String technologyName)`
  `InputSource`
  `resolveEntity(String publicId, String systemId)`
  `void`
  `startElement(String localName, AttributeList attrs)`

  ### Methods inherited from class org.xml.sax.HandlerBase

  `endDocument, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, startDocument, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HelpHandler

    public HelpHandler()

- ## Method Details

  - ### load

    public void load(String xmlFileName, String technologyName)

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId)
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Overrides:
      `resolveEntity` in class `HandlerBase`

  - ### startElement

    public void startElement(String localName, AttributeList attrs) throws SAXException
    Specified by:
      `startElement` in interface `DocumentHandler`
    Overrides:
      `startElement` in class `HandlerBase`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String localName) throws SAXException
    Specified by:
      `endElement` in interface `DocumentHandler`
    Overrides:
      `endElement` in class `HandlerBase`
    Throws:
      `SAXException`

  - ### characters

    public void characters(char[] ch, int start, int length) throws SAXException
    Specified by:
      `characters` in interface `DocumentHandler`
    Overrides:
      `characters` in class `HandlerBase`
    Throws:
      `SAXException`